package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.model.Industry;
import com.cloudcross.ssp.base.service.IGenericService;

public interface IIndustryService extends IGenericService<Industry> {
	public Industry findByIndustryId(Long industryId);
	public List<Industry> findAll();
	public List<Industry> findAllByZoneIdOperator(Long zoneId);
	public List<Industry> findAllFatherIndustry(Map<String,Object> paramMap);
	public Integer conutAllFatherIndustry(Map<String,Object> paramMap);
	public List<Industry> findIndustryByFatherId(Map<String,Object> paramMap);
	public Integer countIndustryByFatherId(Map<String,Object> paramMap);
}
